orte/mca/rml/cnos/rml_cnos.h File Reference.TH "orte/mca/rml/cnos/rml_cnos.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/rml/cnos/rml_cnos.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'mca/rml/rml.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_rml_cnos_open\fP (void)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_close\fP (void)"
.br
.ti -1c
.RI "\fBorte_rml_module_t\fP * \fBorte_rml_cnos_init\fP (int *priority)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_module_init\fP (void)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_module_fini\fP (void)"
.br
.ti -1c
.RI "char * \fBorte_rml_cnos_get_uri\fP (void)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_set_uri\fP (const char *)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_parse_uris\fP (const char *uri, orte_process_name_t *peer, char ***uris)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_ping\fP (const char *uri, const struct timeval *tv)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_send\fP (orte_process_name_t *peer, struct iovec *msg, int count, int tag, int flags)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_send_buffer\fP (orte_process_name_t *peer, \fBorte_buffer_t\fP *buffer, \fBorte_rml_tag_t\fP tag, int flags)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_send_nb\fP (orte_process_name_t *peer, struct iovec *msg, int count, \fBorte_rml_tag_t\fP tag, int flags, \fBorte_rml_callback_fn_t\fP cbfunc, void *cbdata)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_send_buffer_nb\fP (orte_process_name_t *peer, \fBorte_buffer_t\fP *buffer, \fBorte_rml_tag_t\fP tag, int flags, \fBorte_rml_buffer_callback_fn_t\fP cbfunc, void *cbdata)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_recv\fP (orte_process_name_t *peer, struct iovec *msg, int count, \fBorte_rml_tag_t\fP tag, int flags)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_recv_buffer\fP (orte_process_name_t *peer, \fBorte_buffer_t\fP *buf, \fBorte_rml_tag_t\fP tag)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_recv_nb\fP (orte_process_name_t *peer, struct iovec *msg, int count, \fBorte_rml_tag_t\fP tag, int flags, \fBorte_rml_callback_fn_t\fP cbfunc, void *cbdata)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_recv_buffer_nb\fP (orte_process_name_t *peer, \fBorte_rml_tag_t\fP tag, int flags, \fBorte_rml_buffer_callback_fn_t\fP cbfunc, void *cbdata)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_recv_cancel\fP (orte_process_name_t *peer, \fBorte_rml_tag_t\fP tag)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_barrier\fP (void)"
.br
.ti -1c
.RI "int \fBorte_rml_cnos_xcast\fP (orte_process_name_t *root, orte_process_name_t *peers, size_t num_peers, \fBorte_buffer_t\fP *buffer, \fBorte_gpr_trigger_cb_fn_t\fP cbfunc, void *user_tag)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_COMP_EXPORT \fBorte_rml_component_t\fP \fBmca_rml_cnos_component\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
